#!/bin/sh

. include.sh

HOST="secure.example.com"
PORTS="80"

NAME="check Unauthorized"
PATH="/"
CODE="401"
METHODS="HEAD GET POST"
do_request

NAME="check Not Implemented"
CODE=${BAD_CODE}
METHODS=${BAD_METHODS}
do_request "$AUTH"

NAME="check /"
PATH="/"
CODE="200"
METHODS="HEAD GET POST"
do_request "$AUTH"

NAME="check /../etc/passwd"
PATH="/../etc/passwd"
CODE="404"
METHODS="HEAD GET POST"
do_request "$AUTH"

echo "All tests passed"
